<ol .fastLinks>
  $forall cat <- cats
    <li>
      <a href="##{cat}" .btn>#{cat}
^{fragment}
$forall (cat, fxs) <- gfxs
  <a name="#{cat}" />
  <div .category>
    <h3>#{cat} #
    #{showNum $ length fxs} produits
  <table .productTable>
    <thead>
      <tr>
        <th>Nom
        <th>Prix
        <th>Quantité
    <tbody>
      $forall (Entity _ p, (_, w)) <- fxs
        <tr :isJust (fvErrors w):.error >
          <td>
            <span .name>#{productName p}</span><br />
            <span .origin>#{productOrigin p}</span>
          <td>
            <span .price>#{showPrice $ productPrice p}</span>&nbsp;CHF<br />
            /&nbsp;<span .unit>#{productUnit p}</span>
          <td>
            ^{fvInput w}
            $maybe xml <- fvErrors w
                <br />
                ^{xml}
            <br />
            <span .maxDesc>(par incrément de #{textShow $ productStepQuantity p}, max #{textShow $ productMaxQuantity p})
